#ifndef __ASM_X86_H
#define __ASM_X86_H 1

// GNU AS inline routines


#define ROTL(B,n)\
	({\
			__u32 _B = (B);\
			asm ("mov %1, %%ecx; rol %%cl, %0" : "=r" (_B) : "r" (n), "0" (_B) : "%ecx");\
			_B;\
	})


#define BSWAP32(B)\
	({\
			__u32 _B = (B);\
			asm ("bswap %0" : "=r" (_B) : "0" (_B));\
			_B;\
	})


#endif // __ASM_X86_H
